<?php
if ( isset ($name) AND isset ($password) )
{
$data = File ("users.db");
for ($i=0;$i<count($data);$i++) {
$dat = explode (";", $data[$i]);
if ($name == $dat[0])
{
echo "<b><center>Такой пользователь уже есть !";
exit;
}
}
$pass = md5 ($password);
$fp = fopen ("users.db", "a");
flock ( $fp, 1);
fputs ($fp, $name.";".$pass."\r\n");
flock ($fp, 3);
fclose ($fp);
echo "<b><center><h2>Спасибо за регистрацию !";
exit;
}
?>
<html>
<body>
<center><b><h3>РЕГИСТРАЦИЯ</h3></b></center><p>
<form action=<?php print $PHP_SELF ?> method=post>
<table>
<tr><td>
<center>Ваше имя<td><input type=text size=15 name=name></tr><br>
<tr><td><center>Ваш пароль<td><input type=text size=15 name=password></tr><br>
</table>
<p><input type=submit value="Зарегистрироваться">
</form></body></html>
